#include <stdlib.h>
#include <stdio.h>

typedef struct tpoly {
    int m;		/* stupen polynomu */
    int *indexy;	/* pole indexu */
} TPOLY;

int z;	/* pocet zaadani */
int count; /* cislo zadani */

int max(int a, int b){
  if (a<b) return(b);
  else return(a);
}

int min(int a,int b){
  if (a>b) return(b);
  else return(a);
}

void vypis(TPOLY *a) {
  int ind;
  for (ind=0; ind< a->m; ind++)
    printf("%d ",a->indexy[ind]);
  printf("%d\n",a->indexy[a->m]);
}

void zrus(TPOLY *prom){
  free(prom->indexy);
}

void alokuj(TPOLY *prom){
  int pom;
  prom->indexy=(int *) malloc(((prom->m)+1)* sizeof(int));
  for (pom=0;pom<=prom->m;pom++) 
    prom->indexy[pom]=0;
}
    
void krat(TPOLY *a, TPOLY *b, TPOLY *c){
  int ind,a_low,a_hi,a_ind;
  for (ind=0;ind <= c->m;ind++){
    a_low=max(0,ind - b->m);
    a_hi=min(ind,a->m);
    for (a_ind=a_low ; a_ind <= a_hi ; a_ind++) 
      c->indexy[ind] += a->indexy[a_ind] * b->indexy[ind-a_ind];
  }
}

void souc(TPOLY *a, TPOLY *c) {
  int ind;
  for (ind=0; ind<=a->m; ind ++) c->indexy[ind] += a->indexy[ind];
}

void kratkonst(int cislo,TPOLY *a, TPOLY *c){
  int ind;
  for (ind=0;ind <= c->m; ind++)
    c->indexy[ind]= cislo * a->indexy[ind];
/*  printf("kratkonst %d\n", cislo);
  vypis(a);
  vypis(c);*/
}

void nacti(TPOLY *a){
  int ind;
  for (ind=0 ; ind <= a->m ; ind++)
    scanf("%d",&(a->indexy[ind]));
}


void priklad(){
  int cit;       /* index a */
 
  TPOLY a,b,c,d,e;
  
  scanf("%d %d",&a.m,&b.m);
  c.m=a.m*b.m;
  alokuj(&a);
  alokuj(&b);
  alokuj(&c);
    nacti(&a);
    nacti(&b);
  
  c.indexy[0]=a.indexy[0];
  
     d.m=b.m;
     alokuj(&d);
     souc(&b,&d); 	/* plovouci pole d = b^1 */
  for (cit=1;cit<=a.m;cit++){   
     
     e.m=d.m;
     alokuj(&e);	/* pomocne pole e= a[cit] *d */
     kratkonst(a.indexy[cit],&d,&e);
     souc(&e,&c);	/* pricte c=c+ a[cit]*d */
     /* kontrola 
     printf("a:\n");
     vypis(&a);
     printf("b:\n");
     vypis(&b);
     printf("c:\n");
     vypis(&c);
     printf("d:\n");
     vypis(&d);
     printf("e:\n");
     vypis(&e);
     
      ******* */
     zrus(&e);
     
     e.m=d.m+b.m;
     alokuj(&e);
     krat(&d,&b,&e);
     zrus(&d);
     d.m=e.m;
     d.indexy=e.indexy;
  } 
  vypis(&c);
  zrus(&d);
  zrus(&c);
  zrus(&b);
  zrus(&a);
};


int main(void){
  scanf("%d",&z);
  for (count=1;count<=z;count++){
    priklad();
    };
  return(0);
}